-- $LastChangedDate: 2009-11-22 17:05:48 -0600 (Sun, 22 Nov 2009) $
-- Keyboard definitions.
-- See module.txt for documentation and pitfalls.
-- Allowing any modifier key (Shift/Ctrl/Alt) is preferred because
-- some windows managers and esp. Mac OS X reserve many key combinations.

KeyDefs = {
    -- OSG keyboard codes:
    -- Use string.byte("c") for normal ASCII chars.
    KEY_Escape       = 0xFF1B,
    KEY_Pause        = 0xFF13,
    KEY_BackSpace    = 0xFF08,
    KEY_Tab          = 0xFF09,
    KEY_Return       = 0xFF0D,
    KEY_Left         = 0xFF51,
    KEY_Up           = 0xFF52,
    KEY_Right        = 0xFF53,
    KEY_Down         = 0xFF54,
    KEY_Begin        = 0xFF58,
    KEY_KP_Left      = 0xFF96,
    KEY_KP_Up        = 0xFF97,
    KEY_KP_Right     = 0xFF98,
    KEY_KP_Down      = 0xFF99,
    KEY_KP_Insert    = 0xFF9E,
    KEY_KP_Delete    = 0xFF9F,
    KEY_KP_Add       = 0xFFAB,
    KEY_KP_Subtract  = 0xFFAD,
    KEY_KP_Begin     = 0xFF9D,
    KEY_KP_End       = 0xFF9C,
    KEY_KP_Page_Up   = 0xFF9A,
    KEY_KP_Page_Down = 0xFF9B,
    KEY_F1           = 0xFFBE,
    KEY_F2           = 0xFFBF,
    KEY_F3           = 0xFFC0,
    KEY_F4           = 0xFFC1,
    KEY_F5           = 0xFFC2,
    KEY_F6           = 0xFFC3,
    KEY_F7           = 0xFFC4,
    KEY_F8           = 0xFFC5,
    KEY_F9           = 0xFFC6,
    KEY_F10          = 0xFFC7,
    KEY_F11          = 0xFFC8,
    KEY_F12          = 0xFFC9,
}
