/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef COLLISION_DEFS_HH
#define COLLISION_DEFS_HH 1

namespace collision {
namespace defs {

// Collision-detection is bypassed if Dyna moves less than this distance per frame.
const Meter MIN_TRANSLATION_DISTANCE_METERS( 0.01f );

} // namespace defs
} // namespace collision

#endif // COLLISION_DEFS_HH
