/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace game
 * @brief game logic (mix of C++ and Lua)
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GAME_MODULE_HH
#define GAME_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace game {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace game

//------------------------------------------------------------------------------

#include "game/typesig_defs.hh"

#endif // GAME_MODULE_HH
