/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Glue the modules together.
 * @namespace glue
 * @brief Glues the modules together.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GLUE_MODULE_HH
#define GLUE_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace glue {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace glue

//------------------------------------------------------------------------------

#endif // GLUE_MODULE_HH
