/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GRAPH_DEFS_HH
#define GRAPH_DEFS_HH 1

namespace graph {
namespace defs {

const RGBA      DEFAULT_BACKGROUND_COLOR( 0.0f, 0.0f, 0.2f, 1.0f );

} // namespace defs
} // namespace graph

using namespace graph::defs;

#endif // GRAPH_DEFS_HH
