/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace graph
 * @brief graph module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GRAPH_MODULE_HH
#define GRAPH_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace graph {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace graph

//------------------------------------------------------------------------------

#include "math/module.hh"
#include "math/matrix.hh"
using namespace math;
#if DEBUG
#include "graph/typesig_defs.hh"
#endif
#include "graph/typedefs.hh"

#endif // GRAPH_MODULE_HH
