/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Type signature checking.
 *//*
 * LEGAL:   COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef GRAPH_TYPESIG_DEFS_HH
#define GRAPH_TYPESIG_DEFS_HH 1

namespace graph {

enum
{
    TYPESIG_GRAPH       = (uint('g')<<24) | (uint('r')<<16) | (uint('a')<<8) | uint('p'),
    TYPESIG_SUBGRAPH    = (uint('s')<<24) | (uint('u')<<16) | (uint('b')<<8) | uint('g'),
    TYPESIG_NODE_SORT   = (uint('n')<<24) | (uint('s')<<16) | (uint('r')<<8) | uint('t'),
    TYPESIG_SCENE_GRAPH = (uint('s')<<24) | (uint('c')<<16) | (uint('e')<<8) | uint('n'),
};

} // namespace graph

#endif // GRAPH_TYPESIG_DEFS_HH
#endif // DEBUG
