/*****************************************************************************
 * $LastChangedDate: 2009-12-06 21:22:01 -0600 (Sun, 06 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Math definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef MATH_DEFS_VECTOR_HH
#define MATH_DEFS_VECTOR_HH 1

namespace math {

////////////////////////////////////////////////////////////////////////////////
//////////////////////////////  V E C T O R  ///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

const uint XX = 0;
const uint YY = 1;
const uint ZZ = 2;
const uint WW = 3;

const uint AXIS_X = 0;
const uint AXIS_Y = 1;
const uint AXIS_Z = 2;
const uint AXIS_INVALID = ~0;  // ~0 to cause segfault if used with array

// control/defs_axis.hh defines AXIS_PITCH,AXIS_YAW,AXIS_ROLL.

} // namespace math

#endif // MATH_DEFS_VECTOR_HH
