/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Typesig definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef OBJECT_TYPESIG_DEFS_HH
#define OBJECT_TYPESIG_DEFS_HH 1

namespace object {

/// Type signatures.
enum
{
    TYPESIG_OBJECT      = (uint('o')<<24) | (uint('b')<<16) | (uint('j')<<8) | uint(' '),
    TYPESIG_DYNA        = (uint('d')<<24) | (uint('y')<<16) | (uint('n')<<8) | uint('a'),
    TYPESIG_CRAFT       = (uint('c')<<24) | (uint('r')<<16) | (uint('a')<<8) | uint('f'),
    TYPESIG_AIRCRAFT    = (uint('a')<<24) | (uint('i')<<16) | (uint('r')<<8) | uint('c'),
};

} // namespace object

#endif // OBJECT_TYPESIG_DEFS_HH
#endif // DEBUG
