/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Top-level program.
 * @namespace program
 * @brief Top-level module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PROGRAM_MODULE_HH
#define PROGRAM_MODULE_HH 1

#include "base/module.hh"
#include "base/time.hh"
using namespace base;
#include "math/module.hh"
#include "math/matrix.hh"
using namespace math;
#if DEBUG
#include "program/typesig_defs.hh"
#endif
#include "program/defs.hh"
#include "program/conf.hh"
#include "program/program.hh"

#endif // PROGRAM_MODULE_HH
