/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace shader
 * @brief shader module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_MODULE_HH
#define SHADER_MODULE_HH 1

#if ! defined(COMPILE_HW_LIGHT) && COMPILE_PALOMINO
#define COMPILE_HW_LIGHT 1
#endif

//------------------------------------------------------------------------------
// See base/module.hh

namespace shader {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace shader

//------------------------------------------------------------------------------

//#include "shader/defs.hh"  // speed compiling
//#include "shader/shader_name.hh"
//#include "shader/shader_funcs.hh"
//#include "shader/shader_factory.hh"

#endif // SHADER_MODULE_HH
