/*****************************************************************************
 * $LastChangedDate: 2009-12-14 20:26:10 -0600 (Mon, 14 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Sound definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SOUND_DEFS_HH
#define SOUND_DEFS_HH 1

namespace sound {
namespace defs {

const fp DEFAULT_VOLUME = 1.0f;
enum ePlayLoop { PLAY_ONCE, PLAY_LOOP };

} // namespace defs
} // namespace sound

using namespace sound::defs;

#endif // SOUND_DEFS_HH
