/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Type signature checking.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef SOUND_TYPESIG_DEFS_HH
#define SOUND_TYPESIG_DEFS_HH 1

namespace sound {

enum
{
    TYPESIG_SOUND_SAMPLE = (uint('s')<<24) | (uint('a')<<16) | (uint('m')<<8) | uint('p'),
};

} // namespace sound

#endif // SOUND_TYPESIG_DEFS_HH
#endif // DEBUG
