/*****************************************************************************
 * $LastChangedDate: 2010-02-03 18:48:51 -0600 (Wed, 03 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Test of shptr template class.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef TEST_SHPTR_HH
#define TEST_SHPTR_HH 1

// Get refcount from Shared* object.
template<typename SHARED>
int
GetRefCount( shptr<SHARED>* ptr )
{
    return ptr->mObj->mRefCount;
}

template<typename SHARED>
int
GetRefCount( shptr<SHARED>/*fool checks.sh*/& ptr )
{
    return ptr.mObj->mRefCount;
}

#endif // TEST_SHPTR_HH
