-- $LastChangedDate: 2009-10-03 10:26:15 -0500 (Sat, 03 Oct 2009) $
-- Events.
-- See module.txt for Lua pitfalls.

------------------
-- Events class --
------------------

Events = {
    resetCallbacks = {},
}

-- (private subroutine)
function Events:Broadcast( callbackTable )
    for k,callback in pairs(callbackTable) do
        callback()
    end
end

-----------------
-- reset event --
-----------------

function Events:RegisterReset( callback )
    table.insert( self.resetCallbacks, callback )
end

function Events:BroadcastReset()
    self:Broadcast( self.resetCallbacks )
end
