/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   C/C++ standard includes.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_CC_HH
#define BASE_CC_HH 1

// C++'s C-compatible headers are supersets.
#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#ifndef _MSC_VER
#include <stdint.h>  // C99 exact-size types
//#include <cstdint>  // [2009] not yet officially in GNU gcc
#else
#define NO_STDINT 1
#endif
#include <cstdlib>
//#include <cstdio>
#include <cstring>
#include <climits>

// C++ standard headers.
#include <iostream>
#include <string>
#include <cmath>
#include <vector>
#include <list>
#include <deque>
#include <set>
#include <map>
using namespace std;

#endif // BASE_CC_HH
