/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Statistics.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_STATS_HH
#define BASE_STATS_HH 1

namespace base {

// STATS and DEBUG are tied somewhat.
#ifndef STATS
#if DEBUG
#define STATS 1
#else
#define STATS 0
#endif
#endif

#if ! STATS
#   define STATS_CODE( CODE )
#else // STATS=1
#   define STATS_CODE( CODE ) {{ CODE }}  // two braces catch misuse as func call in if/else
#   define CSTATS COUT
#endif // STATS

} // namespace base

#endif // BASE_STATS_HH
