/*****************************************************************************
 * $LastChangedDate: 2009-12-06 21:22:01 -0600 (Sun, 06 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Control axis definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_DEFS_AXIS_HH
#define CONTROL_DEFS_AXIS_HH 1

namespace control {

// Defines control axises.
const uint AXIS_PITCH = 0;  // X
const uint AXIS_YAW   = 1;  // Y
const uint AXIS_ROLL  = 2;  // Z

} // namespace control

#endif // CONTROL_DEFS_AXIS_HH
