/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   OSG.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_OSG_HH
#define GFX_OSG_HH 1

// Basic OSG headers.
#include <osg/Vec4f>
#include <osg/Array>
#include <osg/Node>
#include <osg/Geode>
#include <osg/Geometry>
#include <osg/Group>
#include <osg/StateAttribute>
//#include <osg/MatrixTransform>
#include <osg/Version>

#if OPENSCENEGRAPH_MAJOR_VERSION <= 2 && OPENSCENEGRAPH_MINOR_VERSION < 8
// OSG 2.2 (or earlier) has a bug that prevents rendering in other views.
// OSG 2.8 provides osgShadow/MinimalShadowMap.
#error "Requires OSG 2.8.0 (or later)."
#endif

namespace gfx { }

#endif // GFX_OSG_HH
