/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace gui
 * @brief gui module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GUI_MODULE_HH
#define GUI_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace gui {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace gui

//------------------------------------------------------------------------------

#include "gui/gui.hh"

#endif // GUI_MODULE_HH
