/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Typesig definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef HUD_TYPESIG_DEFS_HH
#define HUD_TYPESIG_DEFS_HH 1

namespace hud {

/// Type signatures.
enum
{
    TYPESIG_HUD_BOX     = (uint('h')<<24) | (uint('d')<<16) | (uint('b')<<8) | uint('x'),
    TYPESIG_HUD_OBJECT  = (uint('h')<<24) | (uint('d')<<16) | (uint('o')<<8) | uint('b'),
    TYPESIG_HUD_TEXT    = (uint('h')<<24) | (uint('d')<<16) | (uint('s')<<8) | uint('t'),
};

} // namespace hud

#endif // HUD_TYPESIG_DEFS_HH
#endif // DEBUG
