-- $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "Gui",
typesig = nil,
luaCanInstantiate = false,
--conditionalCompile = "COMPILE_GUI", -- GUI always compiled in Palomino4

headers =
[[
#include "base/module.hh"
using namespace base;
#include "gui/module.hh"
using namespace gui;
]],

func_Show = {
    comments = "Gui:Show()",
    code = [[
        GET_GUI().Show();
    ]]
},

}
