/*****************************************************************************
 * $LastChangedDate: 2009-11-19 23:17:38 -0600 (Thu, 19 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Modify a 3D model for rendering by shaders.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_SHADER_MODEL_HH
#define SHADER_SHADER_MODEL_HH 1

namespace shader {

////////////////////////////////////////////////////////////////////////////////
/// @brief Modify a 3D model for rendering by shaders.
///
class ShaderModel
{
public:
    CLASS_METHOD void ModifyModelForShaders( RefPtr<osg::Node> rootNode );
};

} // namespace shader

#endif // SHADER_SHADER_MODEL_HH
