/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Type signature checking.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef SKY_TYPESIG_DEFS_HH
#define SKY_TYPESIG_DEFS_HH 1

namespace sky {

enum
{
    TYPESIG_SKY_DOME       = (uint('d')<<24) | (uint('o')<<16) | (uint('m')<<8) | uint('e'),
    TYPESIG_SKY_DOME_POINT = (uint('s')<<24) | (uint('p')<<16) | (uint('n')<<8) | uint('t'),
    TYPESIG_SKY_DOME_PATCH = (uint('s')<<24) | (uint('p')<<16) | (uint('a')<<8) | uint('h'),
};

} // namespace sky

#endif // SKY_TYPESIG_DEFS_HH
#endif // DEBUG
