/*****************************************************************************
 * $LastChangedDate: 2010-02-02 11:33:01 -0600 (Tue, 02 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   All threads tests should include this else they might be useless!!!
 *//*
 * LEGAL:   COPYRIGHT (C) 2010 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// shptr_impl_debug.hh defines TEST_SHPTR_YIELD_IS_NOP
// if it defaulted TEST_SHPTR_YIELD() as a NOP.
// But if that macro is a NOP then the stress-testing of
// of locking the smart-pointer thptr won't really be done!!

#if COMPILE_THREADS
#   if !defined(TEST_SHPTR_YIELD) || TEST_SHPTR_YIELD_IS_NOP
#       error "TEST_SHPTR_YIELD must be defined (not a NOP) to stress-test the threads module."
#   endif
#endif
