#!/usr/bin/env bash
# $LastChangedDate: 2010-01-26 20:10:07 -0600 (Tue, 26 Jan 2010) $
# Run tests forever in one subdir.

if [ ! -d out ]; then
    echo "ERROR: Need to build tests."
    exit 1
fi

while true :
do
    for TEST in out/*
    do
        if [ -x $TEST ] && [ ! -d $TEST ]; then
            echo "---  running test $TEST ---"
            if ( ! $TEST ); then
            echo "---  test $TEST FAILED! ---"
                exit 1
            fi
        fi
    done

    echo "*************************"
    echo "* All tests passed (ok) *"
    echo "*************************"
done
