#!/usr/bin/env bash
# Build TAGS file for emacs using Exuberant ctags.

echo "Building source code tags.  Run visit-tags-table in emacs."

SRC_FILES="${SRC_FILES} `find src -name "*.cc" -or -name "*.hh" -or -name "*.lua" -or -name "*.py.lua"`"

if [ -d scripts ]; then
    SRC_FILES="${SRC_FILES} `find scripts -name "*.lua"`"
fi

ctags -e --extra=+q $SRC_FILES
